Subject: Re: bug#359: Inferior Python hangs at startup

From: Stefan Monnier <[email-masked]>
Date: Thu, 05 Jun 2008 10:21:22 -0400

> M-x run-python RET
> Python 2.5.1 (r251:54863, Jan 17 2008, 19:35:17) 
> [GCC 4.0.1 (Apple Inc. build 5465)] on darwin
> Type "help", "copyright", "credits" or "license" for more information.
>>>> import emacs; print '_emacs_out ()

> and the inferior Python buffer hangs.

I cannot reporduce it.  I did:

  % emacs/22/src/emacs -Q

then

  M-x run-python RET

which resulted in a *Python* buffer containing just

   Python 2.5.2 (r252:60911, May 28 2008, 08:35:32) 
   [GCC 4.2.4 (Debian 4.2.4-1)] on linux2
   Type "help", "copyright", "credits" or "license" for more information.

I then typed something at that prompt and it worked fine.  I even tried
to type "import emacs; print '_emacs_out ()" and it correctly signalled
an error:

   Python 2.5.2 (r252:60911, May 28 2008, 08:35:32) 
   [GCC 4.2.4 (Debian 4.2.4-1)] on linux2
   Type "help", "copyright", "credits" or "license" for more information.
   >>> print 1
   1
   >>> import emacs; print '_emacs_out ()
     File "<stdin>", line 1
       import emacs; print '_emacs_out ()
                                        ^
   SyntaxError: EOL while scanning single-quoted string
   >>> print 1
   1

Can you try and come up with a more precise recipe to reproduce
your problem?  Or maybe it's specific to your build (I see you're
apparently running under macosx, is that an X11 build?  A Carbon
build?).

        Stefan